@font-face {
    font-family: 'Abel';
    font-style: normal;
    font-weight: 400;
    src: local('Abel Regular'), local('Abel-Regular'), url("/assets/fonts/abel.woff2") format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Bebas';
    font-style: normal;
    font-weight: 900;
    src: local('Bebas'), local('Bebas'), url("/assets/fonts/bebas.ttf") format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

* {
	scrollbar-color: #ffffff83 #ffffff00;
	scrollbar-gutter: auto;
	scrollbar-width: thin;
    box-sizing: border-box;
}

a {
    text-decoration: none;
}

a:hover, a:focus {
    text-decoration: none;
}

html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100vh;
}

html {
    overscroll-behavior: contain;
    user-select: none;
    font-family: 'Abel';
}

body {
    position: relative;
    overflow: hidden;
    background-color: #2b333a;
}

body::after {
    position: absolute;
    width: 100%;
    height: 100%;

    top:0;
    left:0;

    background-image: url('/assets/images/33.jpg');
    background-size: cover;
    background-position: 50% 50%;
    content: '';
    z-index: -1;

    filter: blur(20px);
    transform: scale(1.1);
}


h1, h2, h3, p {
    margin: 0;
    padding: 0;
    font-weight: normal;
}


hframe {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100vh;
    max-height: 100vh;
    /* border: 1px solid red; */
}

hframe > topmenu {
    height: 60px;
    min-height: 60px;
    background-color: rgb(0 0 0 / 0%);
    border-bottom: 1px solid #ffffff2e;
    display: flex;
    padding: 0 20px;
    align-items: center;
    text-transform: uppercase;
}

hframe > topmenu > span {
    display: flex;
    flex: 1;
    justify-content: center;
    gap: 20px;
}

hframe > topmenu > span img {
    height: 30px;
}

hframe > topmenu > span:first-child {
    justify-content: flex-start;
}
hframe > topmenu > span:last-child {
    justify-content: flex-end;
}

hframe > topmenu > span > a {
    display: flex;
    color: #ffffff;
    text-transform: uppercase;
    text-shadow: 0 0 1px black,0 0 10px black,0 0 20px black,0 0 50px black;
    letter-spacing: 1px;
    font-size: 15px;
    transition: all .5s;
    align-items: center;
    white-space: nowrap;
}

hframe > topmenu a:hover {
    color: rgb(189, 242, 255);
}

hframe > wframe {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100%;
    max-height: calc(100% - 49px);
}

wframe > leftmenu {
    width: 0px;
    background-color: rgb(0 0 0 / 20%);
    display: flex;
    flex-direction: column;
    padding: 10px 0px;
    gap:5px;
}

wframe > leftmenu:has(a) {
    width: 250px;
}

wframe > leftmenu > a {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 15px;
    margin: 0px 10px;
    background-color: #ffffff17;
    color: white;
    text-transform: uppercase;
    letter-spacing: 1px;
    line-height: 1;
    border-radius: 5px;
    transition: all .5s;
}

wframe > leftmenu > a:hover {
    background-color: #63c7ff4f;
}

wframe > content {
    flex: 1;
    display: flex;
    flex-direction: column;
    overflow-y: overlay;
    min-height: 100%;
    background-color: rgba(0,0,0,0.4);
}

wframe > content > cover {
    overflow: hidden;
    width: 100%;
    min-height: 100%;


    

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 50px;

    border-bottom: 1px solid #ffffff24;
}

wframe > content > cover > adjectifs {
    padding: 10px 20px;
    background-color: rgb(195 195 195 / 20%);
    border-radius: 15%;
    color: white;
    font-style: italic;
}

wframe > content > cover > img {
    width: 30%;
}

wframe > content > cover > citation {
    font-size: 30px;
    color: white;
}

wframe > content > cover > links,
section > plain > links {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 15px;
}

wframe > content > cover > coverimg {
    border-radius: 12px;
    width: 225px;
    height: 225px;
}

wframe > content > cover > links > a,
section > plain > links > a {
    width: 300px;
    height: 75px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: rgb(195 195 195 / 20%);
    color: white;
    border-radius: 15%;
    text-transform: uppercase;
    padding: 0 20px;
}

wframe > content > cover > links > a:first-child,
section > plain > links > a:first-child {
    background-color: rgba(191, 86, 86, 0.2); 
}

wframe > content > cover > links > a > glyph,
section > plain > links > a > glyph {
    font-size: 40px;
}

wframe > content > section {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #0e1820cf;
    gap: 50px;
    padding: 100px 0;
}

wframe > content > section:nth-child(odd) {
    background-color: #0e1120cf;
}

footer {
    display: flex;
    color: white;
    padding: 50px;
}

footer > div {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: flex-end;
}

footer > div:last-child {
    align-items: flex-end;    
}

footer > div:last-child > span {
    text-align: right;    
}

footer > div > links {
    display: flex;
    gap: 10px;
}

footer > div img {
    height: 100px;
    width: auto;
}

footer > div a {
    color: white;
}


section > titre {
    color: white;
    font-size: 60px;
    text-transform: uppercase;
    font-weight: bold;
    letter-spacing: 2px;
}


section > resume {
    display: flex;
    color: #ffffff;
    align-items: center;
    justify-content: center;
    gap: 50px;
}

section > resume > div {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 350px;
    gap: 20px;
    background-color: #d7d7d724;
    background: linear-gradient(0deg, #bdbdbd17, transparent);
    padding: 30px 40px;
    border-radius: 5px;
}


section > resume > div > glyph {
    font-size: 100px;
    margin-bottom: -15px;  
}

section > resume > div[blue] > glyph,
section > resume > div[blue] > h2 {
    color: rgb(131 255 247);
}

section > resume > div[orange] > glyph,
section > resume > div[orange] > h2 {
    color: rgb(255 160 128);
}

section > resume > div[green] > glyph,
section > resume > div[green] > h2 {
    color: rgb(173 255 126);
}

section > resume > div[yellow] > glyph,
section > resume > div[yellow] > h2 {
    color: rgb(248 255 123);
}

section > resume > div[purple] > glyph,
section > resume > div[purple] > h2 {
    color: rgb(240 126 255);
}

section > resume > div[red] > glyph,
section > resume > div[red] > h2 {
    color: rgb(255 127 127);
}

section > resume > div > h2 {
    text-transform: uppercase;   
}

section > resume > div > p {
    text-align: center;   
}



section > plain {
    display: flex;
    flex-direction: column;
    color: white;
    align-items: center;
    justify-content: center;
    gap: 30px;
}

section > plain > h2 {
    font-size: 50px;
}

section > plain > p {
    font-size: 25px;
    font-style: italic;
    text-align: center; 
}


section > legal {
    display: flex;
    flex-direction: column;
    color: white;
    gap: 20px;
    width: 70%;
}

section > legal > h1 {

}

section > legal > div {
    display: flex;
    flex-direction: column;
}

section > legal > div > h2 {
    margin-bottom: 5px;
    font-weight: bold;
}

section > legal > div > h3 {
    margin-bottom: 1px;
}